Name:           device-config-touch
Version:        1
Release:        1
Summary:        Device specific configurations for Touch
Group:          System/Hardware
License:        GPLv2+
Source0:	%{name}-%{version}.tar.bz2
Source1001: packaging/device-config-touch.manifest 
# >> gbp-patch-tags         # auto-added by gbp
# << gbp-patch-tags         # auto-added by gbp
BuildArch: noarch

%description
Device specific configurations for Touch.

%define touch_package(n:) \
%package %1\
Summary: 	Touch configuration files for %1\
Group:		System/Hardware\
%description %1\
Touch configuration files for %1.\
%{nil}


%prep
%setup -q
# >> gbp-apply-patches    # auto-added by gbp
# << gbp-apply-patches    # auto-added by gbp
%build
cp %{SOURCE1001} .

%install

mkdir -p %{buildroot}%{_sysconfdir}/X11/xorg.conf.d
install -m 0644 *.conf %{buildroot}%{_sysconfdir}/X11/xorg.conf.d/

%touch_package cando
%files cando
%{_sysconfdir}/X11/xorg.conf.d/60-cando-evdevmultitouch.conf
%manifest device-config-touch.manifest

%touch_package mxt224
%files mxt224
%{_sysconfdir}/X11/xorg.conf.d/60-mxt224-evdevmultitouch.conf
%manifest device-config-touch.manifest

%touch_package Atmel
%files Atmel
%manifest device-config-touch.manifest
%{_sysconfdir}/X11/xorg.conf.d/65-Atmel-mtev.conf

%touch_package sitronix
%files sitronix
%{_sysconfdir}/X11/xorg.conf.d/70-sitronix-mtev.conf
%manifest device-config-touch.manifest

%touch_package Hanvon
%files Hanvon
%{_sysconfdir}/X11/xorg.conf.d/80-Hanvon-mtev.conf
%manifest device-config-touch.manifest

%touch_package ILI
%files ILI
%{_sysconfdir}/X11/xorg.conf.d/90-ILI-mtev.conf
%manifest device-config-touch.manifest

%touch_package eGalax
%files eGalax
%{_sysconfdir}/X11/xorg.conf.d/92-exopc-mtev.conf
%manifest device-config-touch.manifest

%touch_package ft5x0x
%files ft5x0x
%{_sysconfdir}/X11/xorg.conf.d/61-ft5x0x-evdev.conf
%manifest device-config-touch.manifest

